import React from 'react';
interface InputProps {
    label: string;
    afterLabel?: string;
    beforeLabel?: string;
    value?: string;
    description?: string;
    disabled?: boolean;
    id?: string;
    name?: string;
    checked?: boolean;
    className?: string;
    onChange?(x: React.ChangeEvent<HTMLInputElement>): void;
    onFocus?(x: React.FocusEvent<HTMLInputElement>): void;
    onBlur?(x: React.FocusEvent<HTMLInputElement>): void;
    size?: 'tiny' | 'small' | 'medium' | 'large' | 'xlarge';
}
interface GroupProps {
    id?: any;
    layout?: 'horizontal' | 'vertical';
    error?: any;
    descriptionText?: any;
    label?: any;
    afterLabel?: string;
    beforeLabel?: string;
    labelOptional?: any;
    name?: any;
    value?: any;
    className?: string;
    children?: React.ReactNode;
    options: Array<InputProps>;
    defaultValue?: string;
    onChange?(x: React.ChangeEvent<HTMLInputElement>): void;
    size?: 'tiny' | 'small' | 'medium' | 'large' | 'xlarge';
}
export declare function Checkbox({ className, id, label, afterLabel, beforeLabel, description, name, checked, value, onChange, onFocus, onBlur, size, disabled, ...props }: InputProps): JSX.Element;
export declare namespace Checkbox {
    var Group: ({ id, layout, error, descriptionText, label, afterLabel, beforeLabel, labelOptional, children, className, name, options, onChange, size, }: GroupProps) => JSX.Element;
}
export default Checkbox;
