import React from 'react';
export interface Props {
    className?: string;
    children: React.ReactNode;
    descriptionText?: string;
    error?: string;
    icon?: any;
    id?: string;
    label?: string;
    labelOptional?: string;
    layout?: 'horizontal' | 'vertical';
    onChange?(x: string): void;
    style?: React.CSSProperties;
    value?: any;
    reveal?: boolean;
    actions?: React.ReactNode;
    size?: 'tiny' | 'small' | 'medium' | 'large' | 'xlarge';
    defaultValue?: any;
    borderless?: boolean;
}
declare function Listbox({ children, className, descriptionText, error, icon, id, label, labelOptional, layout, onChange, value, style, size, defaultValue, borderless, }: Props): JSX.Element;
declare namespace Listbox {
    var Option: typeof SelectOption;
}
interface OptionProps {
    id?: string;
    className?: string;
    value: any;
    children?: React.ReactNode;
    label: string;
    addOnBefore?: ({ active, selected }: any) => React.ReactNode;
    disabled?: boolean;
}
declare function SelectOption({ id, className, value, children, label, addOnBefore, disabled, }: OptionProps): JSX.Element;
export default Listbox;
