'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var useIsoMorphicEffect_esm = require('./use-iso-morphic-effect.esm.js');

function useComputed(cb, dependencies) {
  var _useState = React.useState(cb),
      value = _useState[0],
      setValue = _useState[1];

  var cbRef = React.useRef(cb);
  useIsoMorphicEffect_esm.useIsoMorphicEffect(function () {
    cbRef.current = cb;
  }, [cb]);
  useIsoMorphicEffect_esm.useIsoMorphicEffect(function () {
    return setValue(cbRef.current);
  }, [cbRef, setValue].concat(dependencies));
  return value;
}

exports.useComputed = useComputed;
