'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var disposables_esm = require('../utils/disposables.esm.js');

function useDisposables() {
  // Using useState instead of useRef so that we can use the initializer function.
  var _useState = React.useState(disposables_esm.disposables),
      d = _useState[0];

  React.useEffect(function () {
    return function () {
      return d.dispose();
    };
  }, [d]);
  return d;
}

exports.useDisposables = useDisposables;
