'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var useIsoMorphicEffect_esm = require('./use-iso-morphic-effect.esm.js');
var useServerHandoffComplete_esm = require('./use-server-handoff-complete.esm.js');

// didn't take care of the Suspense case. To fix this we used the approach the @reach-ui/auto-id
// uses.
//
// Credits: https://github.com/reach/reach-ui/blob/develop/packages/auto-id/src/index.tsx

var id = 0;

function generateId() {
  return ++id;
}

function useId() {
  var ready = useServerHandoffComplete_esm.useServerHandoffComplete();

  var _useState = React.useState(ready ? generateId : null),
      id = _useState[0],
      setId = _useState[1];

  useIsoMorphicEffect_esm.useIsoMorphicEffect(function () {
    if (id === null) setId(generateId());
  }, [id]);
  return id != null ? '' + id : undefined;
}

exports.useId = useId;
