'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');

function useWindowEvent(type, listener, options) {
  var listenerRef = React.useRef(listener);
  listenerRef.current = listener;
  React.useEffect(function () {
    function handler(event) {
      listenerRef.current.call(window, event);
    }

    window.addEventListener(type, handler, options);
    return function () {
      return window.removeEventListener(type, handler, options);
    };
  }, [type, options]);
}

exports.useWindowEvent = useWindowEvent;
