'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var Context = /*#__PURE__*/React.createContext(null);
Context.displayName = 'OpenClosedContext';
exports.State = void 0;

(function (State) {
  State[State["Open"] = 0] = "Open";
  State[State["Closed"] = 1] = "Closed";
})(exports.State || (exports.State = {}));

function useOpenClosed() {
  return React.useContext(Context);
}
function OpenClosedProvider(_ref) {
  var value = _ref.value,
      children = _ref.children;
  return React__default['default'].createElement(Context.Provider, {
    value: value
  }, children);
}

exports.OpenClosedProvider = OpenClosedProvider;
exports.useOpenClosed = useOpenClosed;
